Accounts
Create Pinterest board
Creates a board for the connected Pinterest account. This endpoint requires a read-write API key.
Authorization
bearerAuth AuthorizationBearer <token>
PostZen API key.
In: header
Path Parameters
accountId*string
PostZen id of a connected Pinterest account.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/accounts/string/pinterest-boards" \ -H "Content-Type: application/json" \ -d '{ "name": "Product inspiration", "description": "Ideas for upcoming launches", "privacy": "PUBLIC" }'{ "board": { "id": "123456789012345678", "name": "Product inspiration", "description": "Ideas for upcoming launches", "privacy": "PUBLIC" }}{ "error": "JSON body is required"}{ "error": "Unauthorized"}{ "error": "API key requires read_write permission"}{ "error": "Not found"}{ "error": "not_connected"}{ "error": "rate_limited", "retryAfter": 30}{ "error": "Failed to create post"}{ "error": "request_failed"}List Pinterest boards GET
Lists boards owned by a connected Pinterest account. Read-only and read-write API keys are accepted.
Set default Pinterest board PUT
Verifies a Pinterest board and stores it as the account default used when a pin target omits `settings.boardId`. This endpoint requires a read-write API key.